package com.sheep.gamegroup.model.entity;

import java.io.Serializable;

/**
 * Created by ljy on 2018/6/15.
 */

public class GameTaskOrderEnty implements Serializable {
    private String account;//游戏帐号或QQ号

    private double amount;//number($double)充值金额

    private int create_time;//integer($int64) 创建消费时间

    private String game_id;//integer($int64) 游戏id

    private int id;//integer($int64)
    private String order_no;//string 游戏充值的order_no

    private int pay_type;//integer($int64) 充值方式

    private int status;//integer($int64) 状态： 0下单 1订单取消 2第三方充值成功 3游戏充值中 4游戏充值失败 5游戏充值支付成功 6：已退款

    private double third_amount;//number($double) 第三方充值金额

    private int type;//integer($int32) 1:游戏充值 2腾讯游戏  3小米游戏

    private int update_time;//integer($int64) 更新时间

    private double user_amount;//number($double) 消耗绵羊币的金额

    private long user_id;//;//integer($int64)用户id

    private String remark;//失败原因

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public double getAmount() {
        return amount;
    }

    public void setAmount(double amount) {
        this.amount = amount;
    }

    public int getCreate_time() {
        return create_time;
    }

    public void setCreate_time(int create_time) {
        this.create_time = create_time;
    }

    public String getGame_id() {
        return game_id;
    }

    public void setGame_id(String game_id) {
        this.game_id = game_id;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getOrder_no() {
        return order_no;
    }

    public void setOrder_no(String order_no) {
        this.order_no = order_no;
    }

    public int getPay_type() {
        return pay_type;
    }

    public void setPay_type(int pay_type) {
        this.pay_type = pay_type;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public double getThird_amount() {
        return third_amount;
    }

    public void setThird_amount(double third_amount) {
        this.third_amount = third_amount;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(int update_time) {
        this.update_time = update_time;
    }

    public double getUser_amount() {
        return user_amount;
    }

    public void setUser_amount(double user_amount) {
        this.user_amount = user_amount;
    }

    public long getUser_id() {
        return user_id;
    }

    public void setUser_id(long user_id) {
        this.user_id = user_id;
    }


    /**
     * 是否支付成功
     * @return
     */
    public boolean isSuccess(){
        return status == 5;
    }
}
